NAME
OpenAPI::Client::OpenAI::Path::containers-container_id - Documentation for the /containers/{container_id} path.
OPERATIONS
DELETE /containers/{container_id}
DeleteContainer
$client->delete_container({
body => { ... },
});
Delete Container
Delete a container.
Path/query parameters
container_id(in path, required, string) - The ID of the container to delete.
Responses
200 - OK
GET /containers/{container_id}
RetrieveContainer
$client->retrieve_container({
body => { ... },
});
Retrieve Container
Retrieves a container.
Path/query parameters
container_id(in path, required, string)
Responses
200 - Success
Content-Type: application/json
Example:
{
"created_at" : 1747844794,
"expires_after" : {
"anchor" : "last_active_at",
"minutes" : 20
},
"id" : "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
"last_active_at" : 1747844794,
"memory_limit" : "1g",
"name" : "My Container",
"object" : "container",
"status" : "running"
}
SCHEMAS
ContainerResource
Properties:
created_at(integer, required) - Unix timestamp (in seconds) when the container was created.expires_after(object) - The container will expire after this time period. The anchor is the reference point for the expiration. The minutes is the number of minutes after the anchor before the container expires.id(string, required) - Unique identifier for the container.last_active_at(integer) - Unix timestamp (in seconds) when the container was last active.memory_limit(string) - The memory limit configured for the container.Allowed values: 1g, 4g, 16g, 64g
name(string, required) - Name of the container.network_policy(object) - Network access policy for the container.object(string, required) - The type of this object.status(string, required) - Status of the container (e.g., active, deleted).
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.